@font-face {
  font-family: tajawal;
  src: url("../../../assets/fonts/tajawal-cdnfonts/Tajawal-Medium.ttf");
}

:root {

  --bs-btn-border-radius: 5px !important;
}

* {
  font-family: 'tajawal';
}

body {
  font-family: 'tajawal';
}

.aside-dark .menu .menu-item .menu-link .menu-title {
  color: #DBDFE9;
  font-weight: 400;
  font-size: 1.2rem;
}

.dot {
  height: 20px;
  width: 20px;
  border-radius: 50%;
}
.ml-auto{
  margin-left: auto !important;
}
.modal-footer .modal-body{
  padding: 5px !important;
}

.badge {
  border-radius: 10px !important;
}

.btn-sm {
  padding: 5px !important;
}

a.dt-button.buttons-collection.btn.btn-main {
  background-color: var(--bs-gray-300) !important;
  padding: 5px !important;
}

div.dataTables_wrapper div.dataTables_length select {
  -moz-padding-start: calc(1rem - 3px);
  -webkit-appearance: none;
  -moz-appearance: none;
  background-image: none !important;
  appearance: none;
  background-color: var(--bs-gray-200);
  background-position: left 1rem center;
  background-repeat: no-repeat;
  background-size: 16px 12px;
  border-radius: 5px;
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, .075);
  color: var(--bs-body-color);
  display: block;
  font-size: 1.1rem;
  font-weight: 500;
  line-height: 1.5;
  /* padding: 0.75rem 1rem 0.75rem 3rem; */
  transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  width: 100%;
  padding-inline: 15px !important;
  padding-block: 0px;
  min-height: calc(10px + 1.3rem + 2px);
  content: '';
}

.select2-container .select2-selection--single {
  height: 43px !important;
}

img {
  object-fit: cover !important;
}

.dt-button-collection>.dropdown-menu {
  position: inherit !important;
  left: 0 !important
}

.form-control.form-control.form-control-sm.form-control-solid {
  background-color: var(--bs-gray-200) !important;
  padding: 0px !important;
  min-height: calc(10px + 1.3rem + 2px) !important;
}

.rtl {
  direction: rtl !important;
}

.ltr {
  direction: ltr !important;
}

div.dataTables_wrapper div.dataTables_length {
  padding: 0 !important;
}

body.rtl div.dataTables_wrapper div.dataTables_filter {
  direction: rtl !important;
}

body div.dataTables_wrapper div.dataTables_filter {
  direction: ltr !important;
}

.btn {
  border-radius: 3px !important;
}

.dropzone {
  background: var(--bs-card-bg) !important;
  border: 2px dashed #292fa4 !important;
}

@media (min-width: 992px) {
  .content {
    padding: 10px 0 !important;
  }
}

.content {
  padding: 10px 0 !important;
}

.modal-header {
  padding: 10px !important;
}

.dot {
  display: flex;
  height: 20px;
  width: 20px;
  border-radius: 50%;
}

#dataTable_wrapper>div:nth-child(1)>div.col-md-9 {
  justify-content: start !important;
}

@media (max-width: 991.98px) {
  .d-sm-none {
    display: none !important;
  }
}

.toast {
  --bs-toast-padding-x: 0.75rem;
  --bs-toast-padding-y: 0.5rem;
  --bs-toast-spacing: 1.5rem;
  --bs-toast-max-width: 350px;
  --bs-toast-font-size: 0.875rem;
  --bs-toast-color: ;
  --bs-toast-bg: hsla(0, 0%, 100%, .85);
  --bs-toast-border-width: 1px;
  --bs-toast-border-color: var(--bs-border-color-translucent);
  --bs-toast-border-radius: 0.375rem;
  --bs-toast-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, .15);
  --bs-toast-header-color: #6c757d;
  --bs-toast-header-bg: hsla(0, 0%, 100%, .85);
  --bs-toast-header-border-color: rgba(0, 0, 0, .05);
  background-clip: padding-box;
  background-color: var(--bs-toast-bg);
  border: var(--bs-toast-border-width) solid var(--bs-toast-border-color);
  border-radius: var(--bs-toast-border-radius);
  box-shadow: var(--bs-toast-box-shadow);
  color: var(--bs-toast-color);
  font-size: var(--bs-toast-font-size);
  max-width: 100%;
  pointer-events: auto;
  width: var(--bs-toast-max-width)
}

.toast.showing {
  opacity: 0
}

.toast:not(.show) {
  display: none
}

.toast-container {
  max-width: 100%;
  pointer-events: none;
  position: absolute;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  z-index: 1090
}

.toast-container>:not(:last-child) {
  margin-bottom: var(--bs-toast-spacing)
}

.toast-header {
  align-items: center;
  background-clip: padding-box;
  background-color: var(--bs-toast-header-bg);
  border-bottom: var(--bs-toast-border-width) solid var(--bs-toast-header-border-color);
  border-top-left-radius: calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width));
  border-top-right-radius: calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width));
  color: var(--bs-toast-header-color);
  display: flex;
  padding: var(--bs-toast-padding-y) var(--bs-toast-padding-x)
}

.toast-header .btn-close {
  margin-left: var(--bs-toast-padding-x);
  margin-right: calc(var(--bs-toast-padding-x)*-.5)
}

.toast-body {
  word-wrap: break-word;
  padding: var(--bs-toast-padding-x)
}

.toast-title {
  font-weight: 700
}

.toast-message {
  -ms-word-wrap: break-word;
  word-wrap: break-word
}

.toast-message a,
.toast-message label {
  color: #fff
}

.toast-message a:hover {
  color: #ccc;
  text-decoration: none
}

.toast-close-button {
  color: #fff;
  -ms-filter: alpha(opacity=80);
  filter: alpha(opacity=80);
  float: right;
  font-size: 20px;
  font-weight: 700;
  opacity: .8;
  position: relative;
  right: -.3em;
  -webkit-text-shadow: 0 1px 0 #fff;
  text-shadow: 0 1px 0 #fff;
  top: -.3em
}

.toast-close-button:focus,
.toast-close-button:hover {
  color: #000;
  cursor: pointer;
  -ms-filter: alpha(opacity=40);
  filter: alpha(opacity=40);
  opacity: .4;
  text-decoration: none
}

button.toast-close-button {
  -webkit-appearance: none;
  background: transparent;
  border: 0;
  cursor: pointer;
  padding: 0
}

.toast-top-center {
  right: 0;
  top: 0;
  width: 100%
}

.toast-bottom-center {
  bottom: 0;
  right: 0;
  width: 100%
}

.toast-top-full-width {
  right: 0;
  top: 0;
  width: 100%
}

.toast-bottom-full-width {
  bottom: 0;
  right: 0;
  width: 100%
}

.toast-top-left {
  left: 12px;
  top: 12px
}

.toast-top-right {
  right: 12px;
  top: 12px
}

.toast-bottom-right {
  bottom: 12px;
  right: 12px
}

.toast-bottom-left {
  bottom: 12px;
  left: 12px
}

#toast-container {
  position: fixed;
  z-index: 999999
}

#toast-container * {
  box-sizing: border-box
}

#toast-container>div {
  background-position: 15px;
  background-repeat: no-repeat;
  border-radius: 3px 3px 3px 3px;
  box-shadow: 0 0 12px #999;
  color: #fff;
  -ms-filter: alpha(opacity=80);
  filter: alpha(opacity=80);
  margin: 0 0 6px;
  opacity: .8;
  padding: 15px 15px 15px 50px;
  width: 300px
}

#toast-container>:hover {
  box-shadow: 0 0 12px #000;
  cursor: pointer;
  -ms-filter: alpha(opacity=100);
  filter: alpha(opacity=100);
  opacity: 1
}

#toast-container>.toast-info {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGwSURBVEhLtZa9SgNBEMc9sUxxRcoUKSzSWIhXpFMhhYWFhaBg4yPYiWCXZxBLERsLRS3EQkEfwCKdjWJAwSKCgoKCcudv4O5YLrt7EzgXhiU3/4+b2ckmwVjJSpKkQ6wAi4gwhT+z3wRBcEz0yjSseUTrcRyfsHsXmD0AmbHOC9Ii8VImnuXBPglHpQ5wwSVM7sNnTG7Za4JwDdCjxyAiH3nyA2mtaTJufiDZ5dCaqlItILh1NHatfN5skvjx9Z38m69CgzuXmZgVrPIGE763Jx9qKsRozWYw6xOHdER+nn2KkO+Bb+UV5CBN6WC6QtBgbRVozrahAbmm6HtUsgtPC19tFdxXZYBOfkbmFJ1VaHA1VAHjd0pp70oTZzvR+EVrx2Ygfdsq6eu55BHYR8hlcki+n+kERUFG8BrA0BwjeAv2M8WLQBtcy+SD6fNsmnB3AlBLrgTtVW1c2QN4bVWLATaIS60J2Du5y1TiJgjSBvFVZgTmwCU+dAZFoPxGEEs8nyHC9Bwe2GvEJv2WXZb0vjdyFT4Cxk3e/kIqlOGoVLwwPevpYHT+00T+hWwXDf4AJAOUqWcDhbwAAAAASUVORK5CYII=") !important;

}

#toast-container>.toast-error {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAHOSURBVEhLrZa/SgNBEMZzh0WKCClSCKaIYOED+AAKeQQLG8HWztLCImBrYadgIdY+gIKNYkBFSwu7CAoqCgkkoGBI/E28PdbLZmeDLgzZzcx83/zZ2SSXC1j9fr+I1Hq93g2yxH4iwM1vkoBWAdxCmpzTxfkN2RcyZNaHFIkSo10+8kgxkXIURV5HGxTmFuc75B2RfQkpxHG8aAgaAFa0tAHqYFfQ7Iwe2yhODk8+J4C7yAoRTWI3w/4klGRgR4lO7Rpn9+gvMyWp+uxFh8+H+ARlgN1nJuJuQAYvNkEnwGFck18Er4q3egEc/oO+mhLdKgRyhdNFiacC0rlOCbhNVz4H9FnAYgDBvU3QIioZlJFLJtsoHYRDfiZoUyIxqCtRpVlANq0EU4dApjrtgezPFad5S19Wgjkc0hNVnuF4HjVA6C7QrSIbylB+oZe3aHgBsqlNqKYH48jXyJKMuAbiyVJ8KzaB3eRc0pg9VwQ4niFryI68qiOi3AbjwdsfnAtk0bCjTLJKr6mrD9g8iq/S/B81hguOMlQTnVyG40wAcjnmgsCNESDrjme7wfftP4P7SP4N3CJZdvzoNyGq2c/HWOXJGsvVg+RA/k2MC/wN6I2YA2Pt8GkAAAAASUVORK5CYII=") !important;

}

#toast-container>.toast-success {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAADsSURBVEhLY2AYBfQMgf///3P8+/evAIgvA/FsIF+BavYDDWMBGroaSMMBiE8VC7AZDrIFaMFnii3AZTjUgsUUWUDA8OdAH6iQbQEhw4HyGsPEcKBXBIC4ARhex4G4BsjmweU1soIFaGg/WtoFZRIZdEvIMhxkCCjXIVsATV6gFGACs4Rsw0EGgIIH3QJYJgHSARQZDrWAB+jawzgs+Q2UO49D7jnRSRGoEFRILcdmEMWGI0cm0JJ2QpYA1RDvcmzJEWhABhD/pqrL0S0CWuABKgnRki9lLseS7g2AlqwHWQSKH4oKLrILpRGhEQCw2LiRUIa4lwAAAABJRU5ErkJggg==") !important;

}

#toast-container>.toast-warning {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGYSURBVEhL5ZSvTsNQFMbXZGICMYGYmJhAQIJAICYQPAACiSDB8AiICQQJT4CqQEwgJvYASAQCiZiYmJhAIBATCARJy+9rTsldd8sKu1M0+dLb057v6/lbq/2rK0mS/TRNj9cWNAKPYIJII7gIxCcQ51cvqID+GIEX8ASG4B1bK5gIZFeQfoJdEXOfgX4QAQg7kH2A65yQ87lyxb27sggkAzAuFhbbg1K2kgCkB1bVwyIR9m2L7PRPIhDUIXgGtyKw575yz3lTNs6X4JXnjV+LKM/m3MydnTbtOKIjtz6VhCBq4vSm3ncdrD2lk0VgUXSVKjVDJXJzijW1RQdsU7F77He8u68koNZTz8Oz5yGa6J3H3lZ0xYgXBK2QymlWWA+RWnYhskLBv2vmE+hBMCtbA7KX5drWyRT/2JsqZ2IvfB9Y4bWDNMFbJRFmC9E74SoS0CqulwjkC0+5bpcV1CZ8NMej4pjy0U+doDQsGyo1hzVJttIjhQ7GnBtRFN1UarUlH8F3xict+HY07rEzoUGPlWcjRFRr4/gChZgc3ZL2d8oAAAAASUVORK5CYII=") !important;

}

#toast-container.toast-bottom-center>div,
#toast-container.toast-top-center>div {
  margin: auto;
  width: 300px
}

#toast-container.toast-bottom-full-width>div,
#toast-container.toast-top-full-width>div {
  margin: auto;
  width: 96%
}

.toast {
  background-color: #030303 !important;
}

.toast-success {
  background-color: #51a351 !important;
}

.toast-error {
  background-color: #bd362f !important;
}

.toast-info {
  background-color: #2f96b4 !important;
}

.toast-warning {
  background-color: #f89406 !important;
}

@media (max-width:240px) {
  #toast-container>div {
    padding: 8px 8px 8px 50px;
    width: 11em
  }

  #toast-container .toast-close-button {
    right: -.2em;
    top: -.2em
  }
}

@media (min-width:241px) and (max-width:480px) {
  #toast-container>div {
    padding: 8px 8px 8px 50px;
    width: 18em
  }

  #toast-container .toast-close-button {
    right: -.2em;
    top: -.2em
  }
}

.blockUI.blockMsg.blockPage {

  background-color: #ffffff00 !important;
  border: unset !important;
}

.daterangepicker.show-calendar .ranges {
  height: auto !important;
}

.daterangepicker {
  background-color: var(--bs-body-bg) !important;
}

.daterangepicker .calendar-table {
  background-color: var(--bs-body-bg) !important;
}

.blockui-overlay{
  position: fixed !important;
}
